%define major		2
%define libname		%mklibname cares %{major}
%define libdevelname	%mklibname cares -d

Summary:	A library that performs asynchronous DNS operations
Name:		c-ares
Version:	1.18.1
Release:	%mkrel 1
License:	MIT
Group:		System/Libraries
URL:		http://c-ares.haxx.se/
Source0:	http://c-ares.haxx.se/download/%{name}-%{version}.tar.xz
Patch0:		c-ares-1.10.0-fdr-rpm-compiler-options.patch
BuildRequires:	cmake

%description
c-ares is a C library that performs DNS requests and name resolves
asynchronously. c-ares is a fork of the library named 'ares', written
by Greg Hudson at MIT.

%package -n %{libname}
Summary:	A library that performs asynchronous DNS operations
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
c-ares is a C library that performs DNS requests and name resolves
asynchronously. c-ares is a fork of the library named 'ares', written
by Greg Hudson at MIT.

%package -n %{libdevelname}
Summary:	Development files for c-ares
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes: lib64cares-static-devel

%description -n	%{libdevelname}
This package contains the header files and developemnt libraries
needed to compile applications or shared objects that use c-ares.

%prep
%setup -q
%apply_patches

iconv -f ISO-8859-1 -t UTF8 CHANGES -o CHANGES.new
mv -f CHANGES.new CHANGES

%build
%cmake -DCARES_BUILD_TOOLS:BOOL=OFF
%cmake_build

%install
rm -rf %buildroot
%cmake_install

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{libdevelname}
%{_includedir}/ares*.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/libcares.pc
%{_libdir}/cmake/c-ares/
%{_mandir}/man3/ares_*

%changelog
* Thu Nov 18 2021 tex - 1.18.1-1pclos2021
- new version

* Mon Aug 30 2021 tex - 1.17.2-1pclos2021
- new version 1.17.2
